Name: gruler
Version: 0.6
Release: alt3

Summary: gRuler is a Gnome Screen Ruler
License: GPL
Group: Graphics

# This is the location of the current gRuler based on Ruby.
Url: http://gnomecoder.wordpress.com/screenruler
Source: http://info.openanswers.org/downloads/%name-%version.tar.gz

# From configure.in
BuildPreReq: libgtk2-devel >= 2.5.3
BuildPreReq: libgnomeui-devel
BuildPreReq: libglade2-devel
BuildPreReq: libSM-devel

%description
A customizable screen ruler for Gnome.

%prep
%setup -q
%__subst 's,\(^gnomemenudir = \).*$,\1$(datadir)/applications,' Makefile*

%build
%configure
%make_build

%install
%makeinstall

%find_lang --with-gnome %name

%files -f %name.lang
%_bindir/*
%_desktopdir/*
%_datadir/%name
%_datadir/pixmaps/*
%doc AUTHORS ChangeLog NEWS README TODO

%exclude %_includedir/*
%exclude %_prefix/doc

%changelog
* Sat Jun 30 2007 Alexey Rusakov <ktirf@altlinux.org> 0.6-alt3
- added explicit buildreq on libSM-devel, since it is no more required
  implicitly.

* Mon Dec 25 2006 Alexey Rusakov <ktirf@altlinux.org> 0.6-alt2
- spec cleanup.
- removed Debian menu stuff.
- new versions of gRuler use Ruby, sticking with a last non-Ruby version at
  least until bindings are available.
- rewritten dependencies according to the configure.in file.

* Tue Dec 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6-alt1
- First build for Sisyphus.


